package com.citygis.common.boot.define;

import lombok.Getter;

/**
 * http请求头名称定义
 */
@Getter
public final class HttpHeaderNames {
    public static String Accept = "Accept";
    public static String IfMatch = "If-Match";
    public static String IfModifiedSince = "If-Modified-Since";
    public static String IfNoneMatch = "If-None-Match";
    public static String IfRange = "If-Range";
    public static String IfUnmodifiedSince = "If-Unmodified-Since";
    public static String LastModified = "Last-Modified";
    public static String Location = "Location";
    public static String MaxForwards = "Max-Forwards";
    public static String Method = ":method";
    public static String Origin = "Origin";
    public static String Path = ":path";
    public static String Pragma = "Pragma";
    public static String ProxyAuthenticate = "Proxy-Authenticate";
    public static String ProxyAuthorization = "Proxy-Authorization";
    public static String Host = "Host";
    public static String Range = "Range";
    public static String RetryAfter = "Retry-After";
    public static String Scheme = ":scheme";
    public static String Server = "Server";
    public static String SetCookie = "Set-Cookie";
    public static String Status = ":status";
    public static String StrictTransportSecurity = "Strict-Transport-Security";
    public static String TE = "TE";
    public static String Trailer = "Trailer";
    public static String TransferEncoding = "Transfer-Encoding";
    public static String Upgrade = "Upgrade";
    public static String UserAgent = "User-Agent";
    public static String Vary = "Vary";
    public static String Via = "Via";
    public static String Warning = "Warning";
    public static String Referer = "Referer";
    public static String From = "From";
    public static String Expect = "Expect";
    public static String Expires = "Expires";
    public static String AcceptCharset = "Accept-Charset";
    public static String AcceptEncoding = "Accept-Encoding";
    public static String AcceptLanguage = "Accept-Language";
    public static String AcceptRanges = "Accept-Ranges";
    public static String AccessControlAllowCredentials = "Access-Control-Allow-Credentials";
    public static String AccessControlAllowHeaders = "Access-Control-Allow-Headers";
    public static String AccessControlAllowMethods = "Access-Control-Allow-Methods";
    public static String AccessControlAllowOrigin = "Access-Control-Allow-Origin";
    public static String AccessControlExposeHeaders = "Access-Control-Expose-Headers";
    public static String AccessControlMaxAge = "Access-Control-Max-Age";
    public static String AccessControlRequestHeaders = "Access-Control-Request-Headers";
    public static String AccessControlRequestMethod = "Access-Control-Request-Method";
    public static String Age = "Age";
    public static String Allow = "Allow";
    public static String Authority = ":authority";
    public static String Authorization = "Authorization";
    public static String CacheControl = "Cache-Control";
    public static String ETag = "ETag";
    public static String Date = "Date";
    public static String Cookie = "Cookie";
    public static String ContentType = "Content-Type";
    public static String ContentSecurityPolicyReportOnly = "Content-Security-Policy-Report-Only";
    public static String ContentSecurityPolicy = "Content-Security-Policy";
    public static String WebSocketSubProtocols = "Sec-WebSocket-Protocol";
    public static String ContentRange = "Content-Range";
    public static String ContentLocation = "Content-Location";
    public static String ContentLength = "Content-Length";
    public static String ContentLanguage = "Content-Language";
    public static String ContentEncoding = "Content-Encoding";
    public static String ContentDisposition = "Content-Disposition";
    public static String Connection = "Connection";
    public static String ContentMD5 = "Content-MD5";
    public static String WWWAuthenticate = "WWW-Authenticate";
}