package com.citygis.common.boot.util;

import java.util.UUID;

/**
 * GUID工具类，系统中使用的guid都需要从这里统一生成
 */
public final class GuidUtil {
    /**
     * 创建一个GUID
     *
     * @return GUID
     */
    public static String newGuid() {
        return newGuid(false, false, false);
    }

    /**
     * 创建一个GUID
     *
     * @param hyphens 是否有连接符
     * @param braces  是否有花括号
     * @param uppercase 是否大写
     * @return GUID
     */
    public static String newGuid(boolean hyphens, boolean braces, boolean uppercase) {
        String guid = UUID.randomUUID().toString().toLowerCase();
        if (!hyphens) {
            guid = guid.substring(0, 8)
                    + guid.substring(9, 13)
                    + guid.substring(14, 18)
                    + guid.substring(19, 23)
                    + guid.substring(24);
        }
        if (braces) {
            guid = "{" + guid + "}";
        }
        if (uppercase) {
            guid = guid.toUpperCase();
        }
        return guid;
    }
}

